PHP is among the most widely used general-purpose web programming languages. It’s highly popular as it is free software, which you can use to develop responsive sites like community sites, e-stores or school websites rather than static HTML sites. A PHP module must be installed on the server where a PHP-driven website is hosted so that its PHP code can be ‘deciphered’. As there aren’t any license taxes for such a module and the language itself provides innumerable options for the Internet applications that you develop, there’re hundreds of millions of PHP-driven websites. Plus, there are plenty of open-source PHP-based scripts, which you can use for your websites without needing to possess any coding know-how. Since there’re a number of versions of PHP, you must make sure that the exact same version that you used whilst building your website is activated on the server too.

PHP 4, PHP 5 and PHP 7 Support in Shared Hosting

Our shared hosting servers support several versions of PHP, which means that your websites will work correctly no matter if your PHP scripts are out of date. We acknowledge the fact that an old website doesn’t automatically imply a vulnerable one as you may have implemented lots of modifications to its code. That is why we support PHP 4, PHP 5 and PHP 7 and you can select which version will be active for your hosting account. The version can be changed with just one single click of the mouse from your Hepsia Control Panel and the update will take effect momentarily. If you want to run both newer and older scripts, there is even an option to use a different version of PHP for each of your domain names at the same time.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Servers

Our semi-dedicated plans support multiple PHP versions, which goes to say that you’ll be able to use all the web-based applications that you have built over the years. The Hepsia Control Panel, which comes bundled with every semi-dedicated server account, will permit you to activate the version that you need with a single mouse click. You can choose between PHP 4, PHP 5 and PHP 7. If you would like to host multiple sites in one account and they have diverse requirements with regards to the web hosting environment, you will be able to set a different version for each of them no matter which version has been selected for the account itself. This is accomplishable owing to our custom-created cloud platform, which allows us to run different versions of PHP concurrently. By comparison, the vast majority of web hosting companies typically offer one, rarely two versions.